This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 860495 - KeyError: '/dev/sda'
KeyError: '/dev/sda'
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
abrt_hash:b645b62047db21bc575ca08fd0e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 21:08 EDT by Daniel Duggan
Modified: 2012-11-24 03:21 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-24 03:21:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: ifcfg.log (641 bytes, text/plain)
2012-09-25 21:08 EDT, Daniel Duggan
no flags Details
File: anaconda-tb (156.00 KB, text/plain)
2012-09-25 21:08 EDT, Daniel Duggan
no flags Details
File: product (6 bytes, text/plain)
2012-09-25 21:08 EDT, Daniel Duggan
no flags Details
File: type (9 bytes, text/plain)
2012-09-25 21:08 EDT, Daniel Duggan
no flags Details
File: environ (761 bytes, text/plain)
2012-09-25 21:08 EDT, Daniel Duggan
no flags Details
File: storage.log (42.38 KB, text/plain)
2012-09-25 21:08 EDT, Daniel Duggan
no flags Details
File: version (2 bytes, text/plain)
2012-09-25 21:08 EDT, Daniel Duggan
no flags Details
File: program.log (19.19 KB, text/plain)
2012-09-25 21:08 EDT, Daniel Duggan
no flags Details
File: anaconda.log (2.94 KB, text/plain)
2012-09-25 21:08 EDT, Daniel Duggan
no flags Details
File: syslog (60.97 KB, text/plain)
2012-09-25 21:08 EDT, Daniel Duggan
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-09-25 21:08 EDT, Daniel Duggan
no flags Details
File: packaging.log (1.69 KB, text/plain)
2012-09-25 21:09 EDT, Daniel Duggan
no flags Details
File: cmdline_file (101 bytes, text/plain)
2012-09-25 21:09 EDT, Daniel Duggan
no flags Details
File: release (24 bytes, text/plain)
2012-09-25 21:09 EDT, Daniel Duggan
no flags Details
File: description (981 bytes, text/plain)
2012-09-25 21:09 EDT, Daniel Duggan
no flags Details

  None (edit)
Description Daniel Duggan 2012-09-25 21:08:38 EDT
Version-Release number of selected component:
anaconda-18.8

Additional info:
libreport version: 2.0.12
cmdline:        /usr/bin/python  /sbin/anaconda
kernel:         3.6.0-0.rc6.git0.2.fc18.x86_64
Comment 1 Daniel Duggan 2012-09-25 21:08:41 EDT
Created attachment 617330 [details]
File: ifcfg.log
Comment 2 Daniel Duggan 2012-09-25 21:08:44 EDT
Created attachment 617331 [details]
File: anaconda-tb
Comment 3 Daniel Duggan 2012-09-25 21:08:46 EDT
Created attachment 617332 [details]
File: product
Comment 4 Daniel Duggan 2012-09-25 21:08:47 EDT
Created attachment 617333 [details]
File: type
Comment 5 Daniel Duggan 2012-09-25 21:08:49 EDT
Created attachment 617334 [details]
File: environ
Comment 6 Daniel Duggan 2012-09-25 21:08:51 EDT
Created attachment 617335 [details]
File: storage.log
Comment 7 Daniel Duggan 2012-09-25 21:08:52 EDT
Created attachment 617336 [details]
File: version
Comment 8 Daniel Duggan 2012-09-25 21:08:54 EDT
Created attachment 617337 [details]
File: program.log
Comment 9 Daniel Duggan 2012-09-25 21:08:56 EDT
Created attachment 617338 [details]
File: anaconda.log
Comment 10 Daniel Duggan 2012-09-25 21:08:58 EDT
Created attachment 617339 [details]
File: syslog
Comment 11 Daniel Duggan 2012-09-25 21:08:59 EDT
Created attachment 617340 [details]
File: hashmarkername
Comment 12 Daniel Duggan 2012-09-25 21:09:01 EDT
Created attachment 617341 [details]
File: packaging.log
Comment 13 Daniel Duggan 2012-09-25 21:09:02 EDT
Created attachment 617342 [details]
File: cmdline_file
Comment 14 Daniel Duggan 2012-09-25 21:09:04 EDT
Created attachment 617343 [details]
File: release
Comment 15 Daniel Duggan 2012-09-25 21:09:05 EDT
Created attachment 617344 [details]
File: description
Comment 16 David Lehman 2012-09-26 12:43:36 EDT
I was able to reproduce this with a single uninitialized disk, choosing custom partitioning. Will update when I have further news.
Comment 17 David Lehman 2012-09-26 15:32:59 EDT
This will be fixed in anaconda-18.10-1.
Comment 18 Fedora Update System 2012-09-26 19:01:39 EDT
anaconda-18.10-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.10-1.fc18
Comment 19 Fedora Update System 2012-09-27 20:19:30 EDT
Package anaconda-18.10-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.10-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14933/anaconda-18.10-1.fc18
then log in and leave karma (feedback).
Comment 20 Fedora Update System 2012-10-02 10:13:02 EDT
anaconda-18.11-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.11-1.fc18
Comment 21 Fedora Update System 2012-10-03 20:57:48 EDT
anaconda-18.12-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.12-1.fc18
Comment 22 Clyde E. Kunkel 2012-10-09 21:53:28 EDT
checked let me reclaim space and review partitioning.  Created / at 10G and clicked create and error occurred.

Package: anaconda-18.12
OS Release: Fedora release 18-Beta-TC2
Comment 23 Reartes Guillermo 2012-10-19 23:54:29 EDT
selected 3 disks, with the intention of creating a /boot, swap and / on the first big disk and a mdadm mirror with the other two for /home. 

i deleted all partitions first, then created /boot, swap then kaboom.


Package: anaconda-18.18
OS Release: Fedora release 18-Beta-TC5
Comment 24 Reartes Guillermo 2012-10-21 11:03:25 EDT
i selected 5 disks and noticed that only the first one 'counted' as having free space. 
the other ones had 0 free space.
i selected one of those disks, went to manual partitioning and tried to create a /boot of 512mb
of couse anaconda crashed.


Package: anaconda-18.19
OS Release: Fedora release 18-Beta-TC6
Comment 25 Reartes Guillermo 2012-10-21 11:06:48 EDT
Humm, my comments #23 and #24 are two completely different actions (at lest seen from an user perspective). I will open another bug for comment #24.
Comment 26 Adam Williamson 2012-11-22 21:37:34 EST
Clyde, have you seen this in recent TCs/RC1?
Comment 27 Clyde E. Kunkel 2012-11-23 11:42:43 EST
No.
Comment 28 Adam Williamson 2012-11-24 03:21:38 EST
Okay, we'll figure this one is fixed, as Reartes filed separate bugs for his issues.

Note You need to log in before you can comment on or make changes to this bug.